Summary:       DjVu viewer
Name:          djview4
Version:       4.4
Release:       3%{?dist}
License:       GPLv2+
Group:         Applications/Publishing
URL:           http://djvu.sourceforge.net/djview4.html
Source:        http://downloads.sourceforge.net/djvu/%{name}-%{version}.tar.gz
Patch:         djview4-4.3-desktop.patch
BuildRequires: qt4-devel >= 4.2 djvulibre-devel >= 3.5.19 desktop-file-utils
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
DjView4 is a DjVu document viewer with the following features:
 o continuous scrolling of pages
 o side-by-side display of pages
 o display thumbnails as a grid
 o display outlines
 o page names supported
 o metadata dialog

It's based on DjVuLibre and Qt4.

%prep
%setup -q
%patch -p1

%build
QTDIR=%{_libdir}/qt4 QMAKE=qmake-qt4 %configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" install-djview

# djview is taken from djvulibre
%{__rm} %{buildroot}%{_bindir}/djview %{buildroot}%{_mandir}/man1/djview.1*

# desktop file
%{__install} -p -m 0644 -D desktopfiles/hi32-djview4.png \
    %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/djvulibre-djview4.png
desktop-file-install --vendor fedora --dir %{buildroot}%{_datadir}/applications \
    desktopfiles/djvulibre-djview4.desktop

%clean
%{__rm} -rf %{buildroot}

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-, root, root)
%doc COPYRIGHT COPYING NEWS README TODO
%{_bindir}/%{name}
%dir %{_datadir}/djvu
%{_datadir}/djvu/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/fedora-djvulibre-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/djvulibre-%{name}.png

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Terje Rosten <terje.rosten@ntnu.no> - 4.4-1
- 4.4
- Own all dirs

* Sat Jan 17 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 4.3-3
- Rebuild with new djvulibre

* Tue Aug 12 2008 Terje Rosten <terje.rosten@ntnu.no> - 4.3-2
- Add gtk-update-icon-cache scriptlet

* Fri Apr 25 2008 Terje Rosten <terje.rosten@ntnu.no> - 4.3-1
- 4.3
- Loads of fixes

* Sat Jan 27 2007 Leon Bottou <leonb@users.sourceforge.net> 4.0-1
- initial release.

